package db

import (
	"context"
	"youngee_b_api/model/gorm_model"

	"gorm.io/gorm"
)

func GetUserByPhone(ctx context.Context, phone string) (*gorm_model.User, error) {
	db := GetReadDB(ctx)
	user := &gorm_model.User{}
	err := db.Model(user).Where("phone = ?", phone).First(user).Error
	if err != nil {
		if err == gorm.ErrRecordNotFound {
			return nil, nil
		}
		return nil, err
	}
	return user, nil
}
